GroovyParser.ClassOrInterfaceModifierContext (Groovy 5.0.0)

Package: org.apache.groovy.parser.antlr4

## [Java] Class GroovyParser.ClassOrInterfaceModifierContext

- org.apache.groovy.parser.antlr4.GroovyParser.ClassOrInterfaceModifierContext

-     public static class GroovyParser.ClassOrInterfaceModifierContext
      extends GroovyParser.GroovyParserRuleContext

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `Token` | `m` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ClassOrInterfaceModifierContext(ParserRuleContext parent, int invokingState)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public TerminalNode` | `ABSTRACT()`
    `` | `public TerminalNode` | `DEFAULT()`
    `` | `public TerminalNode` | `FINAL()`
    `` | `public TerminalNode` | `NON_SEALED()`
    `` | `public TerminalNode` | `PRIVATE()`
    `` | `public TerminalNode` | `PROTECTED()`
    `` | `public TerminalNode` | `PUBLIC()`
    `` | `public TerminalNode` | `SEALED()`
    `` | `public TerminalNode` | `STATIC()`
    `` | `public TerminalNode` | `STRICTFP()`
    `<Result>` | `public Result` | `accept(ParseTreeVisitor<? extends Result> visitor)`
    `` | `public GroovyParser.AnnotationContext` | `annotation()`
    `` | `public int` | `getRuleIndex()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class GroovyParser.GroovyParserRuleContext` | `getMetaDataMap, setMetaDataMap`

- - ### Field Detail

    - #### public Token m

  - ### Constructor Detail

    - #### public ClassOrInterfaceModifierContext(ParserRuleContext parent, int invokingState)

  - ### Method Detail

    - #### public TerminalNode ABSTRACT()

    - #### public TerminalNode DEFAULT()

    - #### public TerminalNode FINAL()

    - #### public TerminalNode NON_SEALED()

    - #### public TerminalNode PRIVATE()

    - #### public TerminalNode PROTECTED()

    - #### public TerminalNode PUBLIC()

    - #### public TerminalNode SEALED()

    - #### public TerminalNode STATIC()

    - #### public TerminalNode STRICTFP()

    - #### <Result> @Override
      public Result accept(ParseTreeVisitor<? extends Result> visitor)

    - #### public GroovyParser.AnnotationContext annotation()

    - #### @Override
      public int getRuleIndex()